Extend Loan
Extend the maturity dates of an existing loan’s installments on Lendermarket side.
Loans can be only extended if at the point of createLoans the extensions have been allowed.
Trying to extend loan that cant be extended will give 422 Error - Maximum number allowed extensions reached,
curl -X POST "https://api.lendermarket.com/claims/v1/lender/createLoanExtension" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"loanUuid": "dcb87579-8d5e-412a-9f71-7c46c72ed589",
"daysToExtend": 30
}'
import requests
import json
url = "https://api.lendermarket.com/claims/v1/lender/createLoanExtension"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"loanUuid": "dcb87579-8d5e-412a-9f71-7c46c72ed589",
"daysToExtend": 30
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.lendermarket.com/claims/v1/lender/createLoanExtension", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"loanUuid": "dcb87579-8d5e-412a-9f71-7c46c72ed589",
"daysToExtend": 30
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"loanUuid": "dcb87579-8d5e-412a-9f71-7c46c72ed589",
"daysToExtend": 30
}`)
req, err := http.NewRequest("POST", "https://api.lendermarket.com/claims/v1/lender/createLoanExtension", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.lendermarket.com/claims/v1/lender/createLoanExtension')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"loanUuid": "dcb87579-8d5e-412a-9f71-7c46c72ed589",
"daysToExtend": 30
}'
response = http.request(request)
puts response.body
{
"data": {
"uuid": "a49c2469-0537-48a1-aa0e-82ab32a157ac",
"loanUuid": "dcb87579-8d5e-412a-9f71-7c46c72ed589",
"extendedDays": 30,
"paymentDate": "2026-01-28",
"paymentSchedule": [
{
"dueDate": "2027-01-26",
"accruedInterestAmount": "0.00",
"totalPrincipalAmount": "0.00",
"totalInterestAmount": "0.00",
"totalDelayedInterestAmount": "0.00",
"outstandingPrincipalAmount": "0.00",
"outstandingInterestAmount": "0.00",
"outstandingDelayedInterestAmount": "0.00",
"paidPrincipalAmount": "0.00",
"paidInterestAmount": "0.00",
"paidDelayedInterestAmount": "0.00"
},
{
"dueDate": "2027-02-25",
"accruedInterestAmount": "0.00",
"totalPrincipalAmount": "1000.00",
"totalInterestAmount": "152.83",
"totalDelayedInterestAmount": "0.00",
"outstandingPrincipalAmount": "1000.00",
"outstandingInterestAmount": "152.83",
"outstandingDelayedInterestAmount": "0.00",
"paidPrincipalAmount": "0.00",
"paidInterestAmount": "0.00",
"paidDelayedInterestAmount": "0.00"
}
]
}
}
{
"message": "The loan uuid field is required. (and 1 more error)",
"errors": {
"loanUuid": [
"The loan uuid field is required."
],
"daysToExtend": [
"The days to extend field is required."
]
}
}
/createLoanExtension
Bearer authentication of the form Bearer <token>, where token is your auth token.
The media type of the request body
Unique UUID of the loan in the LM system
Total number of days that all remaining installments will be extended by
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Bearer authentication of the form Bearer <token>, where token is your auth token.
Body
Unique UUID of the loan in the LM system
Total number of days that all remaining installments will be extended by
Responses
Unique UUID of the extension
Unique UUID of the loan in the LM system
Total number of days that all remaining installments were extended by
Extension Date. Also the date all accrued interest and delayed interest amount are paid.
Extended date of the installment
Installment interest accrued as of today
Total Principal Amount of the installment
Total Interest Amount of the installment
Total Delayed Interest Amount of the installment
Outstanding (not paid yet) Principal Amount of the installment
Outstanding (not paid yet) Interest Amount of the installment
Outstanding (not paid yet) Delayed Interest Amount of the installment
Paid Principal Amount of the installment
Paid Interest Amount of the installment
Paid Delayed Interest Amount of the installment
General error message
List of objects with detailed errors
Last updated 2 weeks ago
Built with Documentation.AI